# testData

### Overview <a href="#markdown-header-overview" id="markdown-header-overview"></a>

If set, default native ad test data are overridden. Accepts JSON object with following structure:

*string* **title** - Title of the native ad.

*string* **description** - Description of the native ad.

*string* **imageUrl** - Link to the main image of the native ad.

*string* **iconUrl** - Link to the icon of the native ad.

*string* **callToAction** - Text of the call to action button.

### Examples <a href="#markdown-header-examples" id="markdown-header-examples"></a>

```xml
<RNAatkitUnifiedNativeAd
    name="NativeAd"
    testData={
        {
            title: "Your custom title",
            description: "Your custom description of the native ad.",
            imageUrl: "main_image_url",
            iconUrl: "icon_url",
            callToAction: "Your CTA"
        }
    }
/>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://aatkit.gitbook.io/aatkit-react-native-integration/other/reference/rnaatkitunifiednativead/properties/testdata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
